import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface User {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 性别：0-未知, 1-男, 2-女
    * @type { number }
    */
    sex?: number;
    /**
    * 员工昵称
    * @type { string }
    */
    nickname?: string;
    /**
    * 员工头像url
    * @type { string }
    */
    avatar?: string;
    /**
    * 手机号
    * @type { string }
    */
    telephone?: string;
    /**
    * 身份证号
    * @type { string }
    */
    identityNo?: string;
    /**
    * 生日
    * @type { string }
    */
    birthDay?: string;
    /**
    * 密码
    * @type { string }
    */
    password?: string;
    /**
    * 电子邮件
    * @type { string }
    */
    email?: string;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class UserMI {
    static get ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get SEX(): FieldInfo;
    static get NICKNAME(): FieldInfo;
    static get AVATAR(): FieldInfo;
    static get TELEPHONE(): FieldInfo;
    static get IDENTITY_NO(): FieldInfo;
    static get BIRTH_DAY(): FieldInfo;
    static get PASSWORD(): FieldInfo;
    static get EMAIL(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface UserPlate {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 用户id
    * @type { string }
    */
    userId?: string;
    /**
    * 车牌号
    * @type { string }
    */
    plateNo?: string;
    /**
    * 默认：0-非默认车牌，1-默认车牌
    * @type { number }
    */
    plateDefault?: number;
    /**
    * 业务状态：0-正常，1-关闭
    * @type { number }
    */
    bizStatus?: number;
    /**
    *
    * @type { string }
    */
    createUserId?: string;
    /**
    *
    * @type { string }
    */
    updateUserId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
}
export declare class UserPlateMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get PLATE_NO(): FieldInfo;
    static get PLATE_DEFAULT(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get CREATE_USER_ID(): FieldInfo;
    static get UPDATE_USER_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface PayAccount {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 账户代码
    * @type { string }
    */
    code?: string;
    /**
    * 账户名称
    * @type { string }
    */
    name?: string;
    /**
    * 支付账户类型：10:境外第三方支付
    * @type { string }
    */
    actType?: string;
    /**
    * 支付方式：101:信用卡支付
    * @type { string }
    */
    payMethod?: string;
    /**
    * 账户配置信息-JSON
    * @type { string }
    */
    actConfig?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PayAccountMI {
    static get ID(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get ACT_TYPE(): FieldInfo;
    static get PAY_METHOD(): FieldInfo;
    static get ACT_CONFIG(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface PayConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 配置名称
    * @type { string }
    */
    name?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PayConfigMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface PayConfigAccount {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 支付账户ID
    * @type { string }
    */
    accountId?: string;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PayConfigAccountMI {
    static get ID(): FieldInfo;
    static get ACCOUNT_ID(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface PayOrder {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 车主用户ID
    * @type { string }
    */
    userId?: string;
    /**
    * 内部订单号
    * @type { string }
    */
    innerOrderNo?: string;
    /**
    * 外部订单号
    * @type { string }
    */
    outOrderNo?: string;
    /**
    * 支付渠道交易号
    * @type { string }
    */
    chOrderNo?: string;
    /**
    * 车场订单号
    * @type { string }
    */
    parkOrderNo?: string;
    /**
    * 车场ID
    * @type { number }
    */
    parkId?: number;
    /**
    * 车牌号
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 无牌车入场卡号
    * @type { string }
    */
    carCardNo?: string;
    /**
    * 出场设备号
    * @type { string }
    */
    parkDeviceCode?: string;
    /**
    * 入场时间yyyy-MM-dd HH:mm:ss
    * @type { string }
    */
    entryTime?: string;
    /**
    * 出场时间yyyy-MM-dd HH:mm:ss
    * @type { string }
    */
    outTime?: string;
    /**
    * 计费时长
    * @type { number }
    */
    elapsedTime?: number;
    /**
    * 车场计费总金额(分)
    * @type { number }
    */
    parkTotalAmount?: number;
    /**
    * 车场计费应收金额(分)
    * @type { number }
    */
    parkPayableAmount?: number;
    /**
    * 车场优惠金额(分)
    * @type { number }
    */
    parkDeductionAmount?: number;
    /**
    * 车场已付金额(分)
    * @type { number }
    */
    parkPaidAmount?: number;
    /**
    * 收费后允许延时出场的时间限制（分钟）
    * @type { number }
    */
    parkDelayTime?: number;
    /**
    * 车辆入场照片URL
    * @type { string }
    */
    carImage?: string;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 支付账户配置ID
    * @type { string }
    */
    payAccountId?: string;
    /**
    * 支付账户类型：10:境外第三方支付
    * @type { string }
    */
    payAccountType?: string;
    /**
    * 支付方式：101:信用卡支付
    * @type { string }
    */
    payMethod?: string;
    /**
    * 支付超时时间
    * @type { Date }
    */
    payTimeExpire?: Date;
    /**
    * 下单时间
    * @type { Date }
    */
    prepayTime?: Date;
    /**
    * 支付完成时间
    * @type { Date }
    */
    paidTime?: Date;
    /**
    * 币种代码ISO-4217
    * @type { string }
    */
    currencyCode?: string;
    /**
    * 订单标题
    * @type { string }
    */
    orderTitle?: string;
    /**
    * 订单描述
    * @type { string }
    */
    orderDesc?: string;
    /**
    * 支付状态,0:支付成功，1：支付失败，2：待支付，3：支付中，4：支付超时
    * @type { number }
    */
    payStatus?: number;
    /**
    * 渠道支付返回代码
    * @type { string }
    */
    payRepCode?: string;
    /**
    * 渠道支付返回信息
    * @type { string }
    */
    payRepMsg?: string;
    /**
    * 业务状态 0:已同步,1:未同步
    * @type { number }
    */
    bizStatus?: number;
    /**
    * 扩展字段信息-JSON
    * @type { string }
    */
    extJson?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PayOrderMI {
    static get ID(): FieldInfo;
    static get USER_ID(): FieldInfo;
    static get INNER_ORDER_NO(): FieldInfo;
    static get OUT_ORDER_NO(): FieldInfo;
    static get CH_ORDER_NO(): FieldInfo;
    static get PARK_ORDER_NO(): FieldInfo;
    static get PARK_ID(): FieldInfo;
    static get CAR_PLATE_NUM(): FieldInfo;
    static get CAR_CARD_NO(): FieldInfo;
    static get PARK_DEVICE_CODE(): FieldInfo;
    static get ENTRY_TIME(): FieldInfo;
    static get OUT_TIME(): FieldInfo;
    static get ELAPSED_TIME(): FieldInfo;
    static get PARK_TOTAL_AMOUNT(): FieldInfo;
    static get PARK_PAYABLE_AMOUNT(): FieldInfo;
    static get PARK_DEDUCTION_AMOUNT(): FieldInfo;
    static get PARK_PAID_AMOUNT(): FieldInfo;
    static get PARK_DELAY_TIME(): FieldInfo;
    static get CAR_IMAGE(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get PAY_ACCOUNT_ID(): FieldInfo;
    static get PAY_ACCOUNT_TYPE(): FieldInfo;
    static get PAY_METHOD(): FieldInfo;
    static get PAY_TIME_EXPIRE(): FieldInfo;
    static get PREPAY_TIME(): FieldInfo;
    static get PAID_TIME(): FieldInfo;
    static get CURRENCY_CODE(): FieldInfo;
    static get ORDER_TITLE(): FieldInfo;
    static get ORDER_DESC(): FieldInfo;
    static get PAY_STATUS(): FieldInfo;
    static get PAY_REP_CODE(): FieldInfo;
    static get PAY_REP_MSG(): FieldInfo;
    static get BIZ_STATUS(): FieldInfo;
    static get EXT_JSON(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-08-11 18:31
 */
export interface PayParkConfig {
    /**
    *
    * @type { string }
    */
    id?: string;
    /**
    * 车场ID
    * @type { number }
    */
    parkId?: number;
    /**
    * 支付配置ID
    * @type { string }
    */
    payConfigId?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 状态：0-正常，1-删除
    * @type { number }
    */
    state?: number;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class PayParkConfigMI {
    static get ID(): FieldInfo;
    static get PARK_ID(): FieldInfo;
    static get PAY_CONFIG_ID(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
